2018-06-17 23:37 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002329Kali Linux[All Projects] New Tool Requestspublic2018-03-13 10:49
Reporterg0tmi1k 
Assigned Tosbrun 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target VersionFixed in Version2018.2 
Summary0002329: Ropper v1.10.10 - Display info about files in different formats & find gadgets to build ROPs chains
DescriptionName: Ropper
Verison: v1.10.10
Homepage: http://scoding.de/ropper/
Download: https://github.com/sashs/Ropper/archive/v1.10.10.tar.gz
Info: You can use ropper to display information about files in different file formats and you can find gadgets to build rop chains for different architectures (x86/x86_64, ARM/ARM64, MIPS, PowerPC). For disassembly ropper uses the awesome Capstone Framework.

Great with some complex exploit dev work
Attached Files

-Relationships
related to 0002328closed ROPEME - ROP Exploit Made Easy 
+Relationships

-Notes

~0008918

sbrun (manager)

version 1.11.6-0kali1 is now in kali-dev-only
+Notes

-Issue History
Date Modified Username Field Change
2015-06-11 19:02 g0tmi1k New Issue
2017-07-18 13:40 g0tmi1k Summary Ropper => Add Ropper v1.10.10 - Display info about files in different formats & find gadgets to build ROPs chains
2017-07-18 13:40 g0tmi1k Description Updated View Revisions
2017-07-18 13:42 g0tmi1k Relationship added related to 0002328
2018-01-29 10:23 g0tmi1k Summary Add Ropper v1.10.10 - Display info about files in different formats & find gadgets to build ROPs chains => Ropper v1.10.10 - Display info about files in different formats & find gadgets to build ROPs chains
2018-01-29 17:44 g0tmi1k Assigned To => sbrun
2018-01-29 17:44 g0tmi1k Status new => assigned
2018-03-13 10:49 sbrun Status assigned => resolved
2018-03-13 10:49 sbrun Resolution open => fixed
2018-03-13 10:49 sbrun Fixed in Version => 2018.2
2018-03-13 10:49 sbrun Note Added: 0008918
+Issue History